## sophomorix4 3.77.2-1

=== Makefile ===
#!/usr/bin/make
# This is the sophomorix Makefile
# for Debian packaging (make DESTDIR=/root/sophomorix)
DESTDIR=

# Installing from this Makefile
#====================================
# if you use this Makefile to install sophomorix (instead of 
# installing the debian-Package) you will miss:
#   1. html-documentation
#   2. manpages
# This is because debian has scripts to install 1. and 2. VERY easily
# see debian/rules -> dh_installman, dh-installdocs



# Debian
#====================================

# Homes
#HOME=$(DESTDIR)/home

# Developement
#USERROOT=$(DESTDIR)/root

# Data
LIBDIR=$(DESTDIR)/var/lib/sophomorix

# Cache
#CACHEDIR=$(DESTDIR)/var/cache/sophomorix

# Logs
LOGDIR=$(DESTDIR)/var/log/sophomorix

# Perl modules
PERLMOD=$(DESTDIR)/usr/share/perl5/Sophomorix

# Dokumentation
#DOCDEBDIR=$(DESTDIR)/usr/share/doc

# configs
CONF=$(DESTDIR)/etc/linuxmuster/sophomorix

# Schema
SCHEMA=$(DESTDIR)/usr/share/sophomorix/schema

# Developer configs
DEVELCONF=$(DESTDIR)/usr/share/sophomorix

# Migration conf
DUMPCONF=$(DESTDIR)/usr/share/sophomorix-dump
VAMPIRECONF=$(DESTDIR)/usr/share/sophomorix-vampire

# Encoding-data
ENCODING=$(DESTDIR)/usr/share/sophomorix/encoding-data

# Language
LANGUAGE=$(DESTDIR)/usr/share/sophomorix/lang

# Latex
LATEX=$(DESTDIR)/usr/share/sophomorix/lang/latex

# Filter
FILTER=$(DESTDIR)/usr/share/sophomorix/filter

# startscripts-skel
STARTSCRIPTSSKEL=$(DESTDIR)/usr/share/sophomorix/devel/startscript-skel

# SAMBADEBCONFDIR fr Debian 
#SAMBADEBCONFDIR=$(DESTDIR)/etc/samba

# SAMBA Debian 
#SAMBADIR=$(DESTDIR)/var/lib/samba
#SAMBAROOTPREEXEC=$(DESTDIR)/etc/linuxmuster/samba/root-preexec.d
#SAMBAROOTPOSTEXEC=$(DESTDIR)/etc/linuxmuster/samba/root-postexec.d

# Config-templates
#CTEMPDIR=$(DESTDIR)/usr/share/sophomorix/config-templates

# Testfiles
DEVELOPERDIR=$(DESTDIR)/usr/share/sophomorix-developer
TESTDATA=$(DESTDIR)/usr/share/sophomorix-developer/testdata
TESTFILES=$(DESTDIR)/usr/share/sophomorix-developer/testfiles
EXAMPLEFILES=$(DESTDIR)/usr/share/sophomorix-developer/examplefiles
TESTTEMPLATES=$(DESTDIR)/usr/share/sophomorix-developer/testtemplates


# sophomorix-virusscan
#VIRUSSCAN=$(DESTDIR)/usr/share/sophomorix-virusscan

# Tools
#TOOLS=$(DESTDIR)/root/sophomorix-developer


all: install-sophomorix-samba install-virusscan install-developer install-vampire install-dump install-belwue-mail

help:
	@echo ' '
	@echo 'Most common options of this Makefile:'
	@echo '-------------------------------------'
	@echo ' '
	@echo '   make help'
	@echo '      show this help'
	@echo ' '
	@echo '   make | make all'
	@echo '      make an installation of files to the local ubuntu bionic'
	@echo ' '
	@echo '   make install-virusscan'
	@echo '      create a debian package'
	@echo ' '
	@echo '   make install-sophomorix-samba'
	@echo '      create a debian package'
	@echo ' '
	@echo '   make install-developer'
	@echo '      create a debian package'
	@echo ' '
	@echo '   make deb'
	@echo '      create a debian package for ubuntu bionic'
	@echo ' '


deb:
	### Prepare to build an ubuntu bionic package
	@echo 'Did you do a dch -i ?'
	@sleep 2
	dpkg-buildpackage -tc -uc -us -sa -rfakeroot
	@echo ''
	@echo 'Do not forget to tag this version with: git tag V-x.y.z'
	@echo ''

#clean: clean-doc clean-debian
clean: clean-debian

clean-debian:
	rm -rf  debian/sophomorix4
#	rm -rf  debian/sophomorix4-virusscan


# sophomorix-samba
install-sophomorix-samba:
	### install-samba
# some dirs
	@install -d -m700 -oroot -groot $(LIBDIR)
	@install -d -m700 -oroot -groot $(LIBDIR)/tmp
	@install -d -m700 -oroot -groot $(LIBDIR)/lock
	@install -d -m700 -oroot -groot $(LIBDIR)/print-data
	@install -d -m700 -oroot -groot $(LIBDIR)/check-result
	@install -d -m700 -oroot -groot $(LOGDIR)
	@install -d -m700 -oroot -groot $(LOGDIR)/user
# Install the scripts
	@install -d $(DESTDIR)/usr/sbin
	@install -oroot -groot --mode=0744 sophomorix-samba/scripts/sophomorix-*[a-z1-9] $(DESTDIR)/usr/sbin
# Install the modules
	@install -d -m755 -oroot -groot $(PERLMOD)
	@install -oroot -groot --mode=0644 sophomorix-samba/modules/Sophomorix*[a-z1-9.]pm $(PERLMOD)
# install schema
	@install -d -m755 -oroot -groot $(SCHEMA)/
	@install -oroot -groot --mode=0644 sophomorix-samba/schema/1_sophomorix-attributes.ldif $(SCHEMA)/
	@install -oroot -groot --mode=0644 sophomorix-samba/schema/2_sophomorix-classes.ldif $(SCHEMA)/
	@install -oroot -groot --mode=0644 sophomorix-samba/schema/3_sophomorix-aux.ldif $(SCHEMA)/
	@install -oroot -groot --mode=0755 sophomorix-samba/schema/sophomorix_schema_add.sh $(SCHEMA)/
	@install -d -m755 -oroot -groot $(SCHEMA)/schema-updates
	@install -oroot -groot --mode=0644 sophomorix-samba/schema/schema-updates/sophomorix-schema-update-[0-9]*.ldif $(SCHEMA)/schema-updates
# installing configs for root
	@install -d -m755 -oroot -groot $(CONF)
# configs for developers
	@install -d -m755 -oroot -groot $(DEVELCONF)/devel
	@install -oroot -groot --mode=0644 sophomorix-samba/config-devel/sophomorix-devel.conf $(DEVELCONF)/devel
	@install -oroot -groot --mode=0644 sophomorix-samba/config-devel/sophomorix.ini $(DEVELCONF)/devel
	@install -oroot -groot --mode=0644 sophomorix-samba/config-devel/README.repdir $(DEVELCONF)/devel
	@install -d -m755 -oroot -groot $(DEVELCONF)/devel/master
	@install -oroot -groot --mode=0644 sophomorix-samba/config-devel/master/school.conf.master $(DEVELCONF)/devel/master
	@install -oroot -groot --mode=0644 sophomorix-samba/config-devel/master/sophomorix.conf.master $(DEVELCONF)/devel/master
	@install -oroot -groot --mode=0644 sophomorix-samba/config-devel/master/group.default.conf.master $(DEVELCONF)/devel/master
# config templates
	@install -d -m755 -oroot -groot $(DEVELCONF)/config-templates
	@install -oroot -groot --mode=0644 sophomorix-samba/config-template/sophomorix.conf.template.ini $(DEVELCONF)/config-templates
	@install -oroot -groot --mode=0644 sophomorix-samba/config-template/school.conf.template.ini $(DEVELCONF)/config-templates
	@install -oroot -groot --mode=0644 sophomorix-samba/config-template/devices.csv.template $(DEVELCONF)/config-templates
	@install -oroot -groot --mode=0644 sophomorix-samba/config-template/belwue.template.ini $(DEVELCONF)/config-templates
#	@install -oroot -groot --mode=0644 sophomorix-samba/config-template/WEBUI.template.ini $(DEVELCONF)/config-templates
#	@install -oroot -groot --mode=0644 sophomorix-samba/config-template/ANOTHER_UI.template.ini $(DEVELCONF)/config-templates
	@install -oroot -groot --mode=0644 sophomorix-samba/config-template/test-ui-perm.ini $(DEVELCONF)/config-templates
# repdir files
	@install -d -m755 -oroot -groot $(DEVELCONF)/devel/repdir
	@install -oroot -groot --mode=0644 sophomorix-samba/config-devel/repdir/repdir.linux $(DEVELCONF)/devel/repdir
	@install -oroot -groot --mode=0644 sophomorix-samba/config-devel/repdir/repdir.global $(DEVELCONF)/devel/repdir
	@install -oroot -groot --mode=0644 sophomorix-samba/config-devel/repdir/repdir.school $(DEVELCONF)/devel/repdir
	@install -oroot -groot --mode=0644 sophomorix-samba/config-devel/repdir/repdir.school_gpo $(DEVELCONF)/devel/repdir
	@install -oroot -groot --mode=0644 sophomorix-samba/config-devel/repdir/repdir.project $(DEVELCONF)/devel/repdir
	@install -oroot -groot --mode=0644 sophomorix-samba/config-devel/repdir/repdir.globaladministrator_home $(DEVELCONF)/devel/repdir
	@install -oroot -groot --mode=0644 sophomorix-samba/config-devel/repdir/repdir.schooladministrator_home $(DEVELCONF)/devel/repdir
	@install -oroot -groot --mode=0644 sophomorix-samba/config-devel/repdir/repdir.teacher_home $(DEVELCONF)/devel/repdir
	@install -oroot -groot --mode=0644 sophomorix-samba/config-devel/repdir/repdir.adminclass $(DEVELCONF)/devel/repdir
	@install -oroot -groot --mode=0644 sophomorix-samba/config-devel/repdir/repdir.extraclass $(DEVELCONF)/devel/repdir
	@install -oroot -groot --mode=0644 sophomorix-samba/config-devel/repdir/repdir.student_home $(DEVELCONF)/devel/repdir
	@install -oroot -groot --mode=0644 sophomorix-samba/config-devel/repdir/repdir.examuser_home $(DEVELCONF)/devel/repdir
# ntacls
	@install -d -m755 -oroot -groot $(DEVELCONF)/devel/ntacl
	@install -oroot -groot --mode=0644 sophomorix-samba/config-devel/ntacl/*ntacl.template $(DEVELCONF)/devel/ntacl
# gpo stuff
	@install -d -m755 -oroot -groot $(DEVELCONF)/devel/gpo
	@install -D -oroot -groot --mode=0644 sophomorix-samba/config-devel/gpo/school.ldif.template $(DEVELCONF)/devel/gpo
	@install -D -oroot -groot --mode=0644 sophomorix-samba/config-devel/gpo/Printers.xml.template $(DEVELCONF)/devel/gpo
	@install -D -oroot -groot --mode=0644 sophomorix-samba/config-devel/gpo/Printers.xml.template.pre $(DEVELCONF)/devel/gpo
	@install -D -oroot -groot --mode=0644 sophomorix-samba/config-devel/gpo/Printers.xml.template.post $(DEVELCONF)/devel/gpo
	@install -D -oroot -groot --mode=0644 sophomorix-samba/config-devel/gpo/school/GPT.INI $(DEVELCONF)/devel/gpo/school/GPT.INI
	@install -D -oroot -groot --mode=0644 sophomorix-samba/config-devel/gpo/school/Machine/comment.cmtx $(DEVELCONF)/devel/gpo/school/Machine/comment.cmtx
	@install -D -oroot -groot --mode=0644 sophomorix-samba/config-devel/gpo/school/Machine/Registry.pol $(DEVELCONF)/devel/gpo/school/Machine/Registry.pol
	@install -D -oroot -groot --mode=0644 "sophomorix-samba/config-devel/gpo/school/Machine/Microsoft/Windows NT/SecEdit/GptTmpl.inf" "$(DEVELCONF)/devel/gpo/school/Machine/Microsoft/Windows NT/SecEdit/GptTmpl.inf"
	@install -D -oroot -groot --mode=0644 sophomorix-samba/config-devel/gpo/school/Machine/Scripts/scripts.ini $(DEVELCONF)/devel/gpo/school/Machine/Scripts/scripts.ini 
	@install -D -oroot -groot --mode=0644 sophomorix-samba/config-devel/gpo/school/Machine/Scripts/Startup/http_proxy_signing_ca.p12 $(DEVELCONF)/devel/gpo/school/Machine/Scripts/Startup/http_proxy_signing_ca.p12
	@install -D -oroot -groot --mode=0644 sophomorix-samba/config-devel/gpo/school/User/Preferences/Drives/Drives.xml $(DEVELCONF)/devel/gpo/school/User/Preferences/Drives/Drives.xml 
	@install -D -oroot -groot --mode=0644 sophomorix-samba/config-devel/gpo/school/User/Preferences/Printers/Printers.xml $(DEVELCONF)/devel/gpo/school/User/Preferences/Printers/Printers.xml 
	@install -D -oroot -groot --mode=0644 sophomorix-samba/config-devel/gpo/school/User/Scripts/scripts.ini $(DEVELCONF)/devel/gpo/school/User/Scripts/scripts.ini 
# language stuff
	@install -d -m755 -oroot -groot $(LANGUAGE)
#	@install -oroot -groot --mode=0644 sophomorix-samba/lang/sophomorix-lang.*[a-z] $(LANGUAGE)
	@install -oroot -groot --mode=0644 sophomorix-samba/lang/errors.*[a-z] $(LANGUAGE)
# latex stuff
	@install -d -m755 -oroot -groot $(LATEX)
	@install -d -m755 -oroot -groot $(LATEX)/templates
	@install -oroot -groot --mode=0644 sophomorix-samba/lang/latex/README.latextemplates $(LATEX)
	@install -oroot -groot --mode=0644 sophomorix-samba/lang/latex/templates/*[a-z0-9-]-template.tex $(LATEX)/templates
# Encoding-data
	@install -d -m755 -oroot -groot $(ENCODING)
	@install -oroot -groot --mode=0644 sophomorix-samba/encoding-data/*.txt $(ENCODING)
# filter scripts
	@install -d -m755 -oroot -groot $(FILTER)
	@install -oroot -groot --mode=0755 sophomorix-samba/filter/*.filter $(FILTER)
# startscripts
	@install -d -m755 -oroot -groot $(STARTSCRIPTSSKEL)
	@install -d -m755 -oroot -groot $(STARTSCRIPTSSKEL)/custom
	@install -d -m755 -oroot -groot $(STARTSCRIPTSSKEL)/custom/linux
	@install -oroot -groot --mode=0644 sophomorix-samba/startscripts-skel/custom/linux/logoff.sh $(STARTSCRIPTSSKEL)/custom/linux
	@install -oroot -groot --mode=0644 sophomorix-samba/startscripts-skel/custom/linux/logon.sh $(STARTSCRIPTSSKEL)/custom/linux
	@install -oroot -groot --mode=0644 sophomorix-samba/startscripts-skel/custom/linux/sysstart.sh $(STARTSCRIPTSSKEL)/custom/linux
	@install -oroot -groot --mode=0644 sophomorix-samba/startscripts-skel/custom/linux/sysstop.sh $(STARTSCRIPTSSKEL)/custom/linux
	@install -d -m755 -oroot -groot $(STARTSCRIPTSSKEL)/custom/windows

## sophomorix4 3.77.1-1

=== debian/changelog ===
sophomorix4 (3.77.1-1) lmn7; urgency=medium

  * login card options, sophomorixIntrinsic2 with rel path user

 -- jeff <bz@adler>  Sat, 04 Apr 2020 17:10:11 +0200

sophomorix4 (3.76.0-1) lmn7; urgency=medium

  * same package as 3.74.15 for stable repository

 -- jeff <bz@adler>  Tue, 17 Mar 2020 11:47:26 +0100

sophomorix4 (3.74.15-1) lmn7-testing; urgency=medium

  * #92 and #98

 -- bz <bz@overpower>  Sun, 08 Mar 2020 12:27:15 +0100

sophomorix4 (3.74.14-1) lmn7-testing; urgency=medium

  * #88, smbpasswd works with $,sophomorix-query adds hostnames from AD lookup

 -- bz <bz@overpower>  Sun, 08 Mar 2020 00:25:52 +0100

sophomorix4 (3.74.13-1) lmn7-testing; urgency=medium

  * sophomorix-user options to set/add/delete arbitrary attributes like proxyAddresses

 -- bz <bz@overpower>  Sat, 29 Feb 2020 01:35:42 +0100

sophomorix4 (3.74.12-1) lmn7-testing; urgency=medium

  * MAIL_LOCAL_PART and MAIL_LOCAL_PART_MAP at school.conf added

 -- bz <bz@overpower>  Fri, 28 Feb 2020 15:27:52 +0100

sophomorix4 (3.74.11-1) lmn7-testing; urgency=medium

  * sophomorix-print exits with json output (closes #93) 

 -- bz <bz@overpower>  Thu, 27 Feb 2020 15:57:51 +0100

sophomorix4 (3.74.10-1) lmn7-testing; urgency=medium

  * printers.xml with new/changed options

 -- bz <bz@overpower>  Thu, 27 Feb 2020 14:58:34 +0100

sophomorix4 (3.74.9-2) lmn7-testing; urgency=medium

  * sophomorix-check: exit with json errors, sophomorix-session -i --supervisor (more permormance)

 -- bz <bz@overpower>  Wed, 26 Feb 2020 19:15:02 +0100

sophomorix4 (3.74.8-1) lmn7-testing; urgency=medium

  * WINDOWS-1252 as new coding system, -jjjj and -jjjjj to print json in file

 -- jeff <bz@adler>  Thu, 20 Feb 2020 20:44:07 +0100

sophomorix4 (3.74.7-1) lmn7-testing; urgency=medium

  * sophomorix-query --smbstatus --query-ip|-user|-room|computer

 -- jeff <bz@adler>  Wed, 12 Feb 2020 03:24:10 +0100

sophomorix4 (3.74.6-1) lmn7-testing; urgency=medium

  * sophomorix-passwd --class option added

 -- jeff <bz@adler>  Tue, 11 Feb 2020 22:55:32 +0100

sophomorix4 (3.74.5-1) lmn7-testing; urgency=medium

  * Bugfix: extraclass usere werden gelöscht

 -- jeff <bz@adler>  Sun, 09 Feb 2020 20:47:44 +0100

sophomorix4 (3.74.4-1) lmn7-testing; urgency=medium

  * added smbstatus output, logrotate

 -- jeff <bz@adler>  Thu, 06 Feb 2020 14:41:17 +0100

sophomorix4 (3.74.3-1) lmn7-testing; urgency=medium

  * Bugfix #100, clearing tmp_collect, fix collecting students, instead of home

 -- jeff <bz@adler>  Sun, 19 Jan 2020 18:15:47 +0100

sophomorix4 (3.74.2-1) lmn7-testing; urgency=medium

  * Package for BSZ Leo epoptes group

 -- jeff <bz@adler>  Tue, 14 Jan 2020 17:53:35 +0100

sophomorix4 (3.74.1-1) lmn7-testing; urgency=medium

  * FR, --smbcquotas-only, sophomorix-extraclass (partly)

 -- jeff <bz@adler>  Wed, 01 Jan 2020 23:59:37 +0100

sophomorix4 (3.74.0-1) lmn7; urgency=medium

  * set wifi group to default, --smbpasswd on password change (#91),--test-firstpassword creates script

 -- jeff <bz@adler>  Tue, 17 Dec 2019 13:03:59 +0100

sophomorix4 (3.73.2-1) lmn7-testing; urgency=medium

  * copy printers.xml in the correct place

 -- jeff <bz@adler>  Sun, 01 Dec 2019 20:57:10 +0100

sophomorix4 (3.73.1-1) lmn7-testing; urgency=medium

  * more output according to #90

 -- jeff <bz@adler>  Tue, 05 Nov 2019 22:14:23 +0100

sophomorix4 (3.73.0-1) lmn7-testing; urgency=medium

  * #90, #91, #94, #95

 -- jeff <bz@adler>  Sun, 03 Nov 2019 21:34:53 +0100

sophomorix4 (3.72.0-2) lmn7; urgency=medium

  * Help updated for new stable package

 -- jeff <bz@adler>  Tue, 15 Oct 2019 20:40:34 +0200

sophomorix4 (3.71.2-1) lmn7-testing; urgency=medium

  * show AD double data with sophomorix-check

 -- jeff <bz@adler>  Fri, 11 Oct 2019 22:15:13 +0200

sophomorix4 (3.71.1-1) lmn7-testing; urgency=medium

  * fixed movement to attic

 -- jeff <bz@adler>  Thu, 10 Oct 2019 00:57:07 +0200

sophomorix4 (3.70.8-1) lmn7-testing; urgency=medium

  * deletion of empty classes fixes

 -- jeff <bz@adler>  Thu, 03 Oct 2019 16:31:59 +0200

sophomorix4 (3.70.7-1) lmn7-testing; urgency=medium

  * quota fix, new options to reset individual quota

 -- jeff <bz@adler>  Tue, 24 Sep 2019 01:22:29 +0200

sophomorix4 (3.70.6-1) lmn7; urgency=medium

  * sophomorix-check mail attr. in JSON, fixed sophomorix-passwd --test-login

 -- jeff <bz@adler>  Mon, 16 Sep 2019 23:32:30 +0200

sophomorix4 (3.70.5-1) lmn7; urgency=medium

  * allow MAIDOMAIN=NONE, avoid = in random passwords

 -- jeff <bz@adler>  Mon, 09 Sep 2019 18:35:45 +0200

sophomorix4 (3.70.3-1) lmn7; urgency=medium

  * Bugfix: missing tmp dir

 -- jeff <bz@adler>  Wed, 04 Sep 2019 14:46:36 +0200

sophomorix4 (3.70.2-1) lmn7; urgency=medium

  * json return for logintest 

 -- jeff <bz@adler>  Tue, 03 Sep 2019 13:49:42 +0200

sophomorix4 (3.70.1-2) lmn7; urgency=medium

  * Bugfixed NTACL

 -- jeff <bz@adler>  Thu, 15 Aug 2019 20:32:29 +0200

sophomorix4 (3.70.0-1) lmn7-testing; urgency=medium

  * New NTACL set for schools

 -- jeff <bz@adler>  Sat, 10 Aug 2019 23:37:58 +0200

sophomorix4 (3.69.6-1) lmn7; urgency=medium

  * update SID in Printers.xml

 -- jeff <bz@adler>  Sat, 10 Aug 2019 17:39:12 +0200

sophomorix4 (3.69.5-1) lmn7; urgency=medium

  * adding options to filters

 -- jeff <bz@adler>  Thu, 08 Aug 2019 11:02:12 +0200

sophomorix4 (3.69.4-1) lmn7; urgency=medium

  * deleting examusers with smbclient to make it work with msdfs

 -- jeff <bz@adler>  Fri, 02 Aug 2019 17:50:39 +0200

sophomorix4 (3.69.3-1) lmn7; urgency=medium

  * sophomorix-newfile: allow 0-9. in names, JSON errors when cp fails

 -- jeff <bz@adler>  Fri, 02 Aug 2019 14:02:19 +0200

sophomorix4 (3.69.2-1) lmn7; urgency=medium

  * make examaccounts noexpiry, user server instead of dnsdomaun for smbcacls

 -- jeff <bz@adler>  Tue, 30 Jul 2019 19:13:05 +0200

sophomorix4 (3.69.1-1) lmn7; urgency=medium

  * add all new users with noexpiry accounts, tool to fix axisting users



=== debian/control ===
Source: sophomorix4
Section: admin
Priority: optional
Maintainer: Rüdiger Beck <jeffbeck@web.de>
Build-Depends: debhelper (>= 8.0.0), devscripts
Standards-Version: 3.9.4


Package: sophomorix-samba
Architecture: all
Depends: libnss-winbind, libnet-ldap-perl, libnet-dns-perl, libunicode-map8-perl, libnet-mac-perl, libnet-ldap-sid-perl, libdate-calc-perl, liblist-moreutils-perl, libstring-approx-perl, libjson-perl, libmath-round-perl, libfilesys-smbclient-perl, libhtml-tableextract-perl, liblatex-encode-perl, libconfig-inifiles-perl, libterm-readkey-perl, cifs-utils, texlive-latex-base, texlive-fonts-recommended, texlive-lang-german
Description: Sophomorix for Samba 4
 sophomorix-samba is a user management tool for Samba 4


Package: sophomorix-developer
Architecture: all
Depends:  sophomorix-samba (>=3.77.0), ldap-utils, cloc, make
Description: Test suite for sophomorix-samba
 Scripts to test sophomorix-samba  on a runnig system. These scripts can 
 screw up your server!

Package: sophomorix-vampire
Architecture: all
Depends:  sophomorix-samba (>=3.77.0), ldap-utils
Description: Migration vampire script
 Script to such users, classes, projects and workstations from a dump
 with sophomorix-dump

Package: sophomorix-dump
Architecture: all
Depends:  
Description: Migration dump script
 Script to dump users, classes, projects a nd workstations from
 linuxmusternet6 server

Package: sophomorix-belwue-mail
Architecture: all
Depends: sophomorix-samba (>=3.77.0), libhtml-tableextract-perl
Description: Reading external Mail data at Belwue and suggest actions


#Package: sophomorix-doc-html
#Architecture: all
#Depends: 
#Description: Html documentation for sophomorix-samba
# This Package contains the documentation for sophomorix-samba

#Package: sophomorix-virusscan
#Architecture: all
#Depends: sophomorix-samba (>=3.77.0), clamav
#Description: script to scan large amounts of data for viruses with clamscan

## sophomorix4 3.77.2-1

=== debian/changelog ===
sophomorix4 (3.77.2-1) lmn7-testing; urgency=medium

  * option DHCP instead of ip-octet -> no DnsNode/DnsZone

 -- jeff <bz@adler>  Fri, 10 Apr 2020 17:45:13 +0200

=== debian/control ===
--- 
+++ 
@@ -15,14 +15,14 @@
 
 Package: sophomorix-developer
 Architecture: all
-Depends:  sophomorix-samba (>=3.77.0), ldap-utils, cloc, make
+Depends:  sophomorix-samba (>=3.77.2), ldap-utils, cloc, make
 Description: Test suite for sophomorix-samba
  Scripts to test sophomorix-samba  on a runnig system. These scripts can 
  screw up your server!
 
 Package: sophomorix-vampire
 Architecture: all
-Depends:  sophomorix-samba (>=3.77.0), ldap-utils
+Depends:  sophomorix-samba (>=3.77.2), ldap-utils
 Description: Migration vampire script
  Script to such users, classes, projects and workstations from a dump
  with sophomorix-dump
@@ -36,7 +36,7 @@
 
 Package: sophomorix-belwue-mail
 Architecture: all
-Depends: sophomorix-samba (>=3.77.0), libhtml-tableextract-perl
+Depends: sophomorix-samba (>=3.77.2), libhtml-tableextract-perl
 Description: Reading external Mail data at Belwue and suggest actions
 
 
@@ -48,6 +48,6 @@
 
 #Package: sophomorix-virusscan
 #Architecture: all
-#Depends: sophomorix-samba (>=3.77.0), clamav
+#Depends: sophomorix-samba (>=3.77.2), clamav
 #Description: script to scan large amounts of data for viruses with clamscan

## sophomorix4 3.80.0-1

=== Makefile ===
--- 
+++ 
@@ -46,6 +46,7 @@
 
 # Developer configs
 DEVELCONF=$(DESTDIR)/usr/share/sophomorix
+DEVELBELVUECONF=$(DESTDIR)/usr/share/sophomorix-belwue
 
 # Migration conf
 DUMPCONF=$(DESTDIR)/usr/share/sophomorix-dump
@@ -177,7 +178,6 @@
 	@install -oroot -groot --mode=0644 sophomorix-samba/config-template/sophomorix.conf.template.ini $(DEVELCONF)/config-templates
 	@install -oroot -groot --mode=0644 sophomorix-samba/config-template/school.conf.template.ini $(DEVELCONF)/config-templates
 	@install -oroot -groot --mode=0644 sophomorix-samba/config-template/devices.csv.template $(DEVELCONF)/config-templates
-	@install -oroot -groot --mode=0644 sophomorix-samba/config-template/belwue.template.ini $(DEVELCONF)/config-templates
 #	@install -oroot -groot --mode=0644 sophomorix-samba/config-template/WEBUI.template.ini $(DEVELCONF)/config-templates
 #	@install -oroot -groot --mode=0644 sophomorix-samba/config-template/ANOTHER_UI.template.ini $(DEVELCONF)/config-templates
 	@install -oroot -groot --mode=0644 sophomorix-samba/config-template/test-ui-perm.ini $(DEVELCONF)/config-templates

=== debian/changelog ===
sophomorix4 (3.80.0-1) lmn7-testing; urgency=medium

  * school isolation fully tested

 -- jeff <bz@adler>  Sun, 24 May 2020 20:58:32 +0200

sophomorix4 (3.79.4-1) lmn7-experimental; urgency=medium

  * automatically update rolegroups on package install, some minor fixes

 -- jeff <bz@adler>  Mon, 11 May 2020 18:54:35 +0200

sophomorix4 (3.79.3-1) lmn7-experimental; urgency=medium

  * all tests with rolegroups tests without error

 -- jeff <bz@adler>  Mon, 11 May 2020 10:28:53 +0200

sophomorix4 (3.79.2-1) lmn7-experimental; urgency=medium

  * schoolisolation tests, global rolegroups improved

 -- jeff <bz@adler>  Wed, 06 May 2020 14:18:48 +0200

sophomorix4 (3.79.1-1) lmn7-testing; urgency=medium

  * schoolisolation, global rolegroups for experimental testing

 -- jeff <bz@adler>  Mon, 27 Apr 2020 14:55:01 +0200

=== debian/control ===
--- 
+++ 
@@ -15,14 +15,14 @@
 
 Package: sophomorix-developer
 Architecture: all
-Depends:  sophomorix-samba (>=3.77.2), ldap-utils, cloc, make
+Depends:  sophomorix-samba (>=3.80.0), ldap-utils, cloc, make
 Description: Test suite for sophomorix-samba
  Scripts to test sophomorix-samba  on a runnig system. These scripts can 
  screw up your server!
 
 Package: sophomorix-vampire
 Architecture: all
-Depends:  sophomorix-samba (>=3.77.2), ldap-utils
+Depends:  sophomorix-samba (>=3.80.0), ldap-utils
 Description: Migration vampire script
  Script to such users, classes, projects and workstations from a dump
  with sophomorix-dump
@@ -36,7 +36,7 @@
 
 Package: sophomorix-belwue-mail
 Architecture: all
-Depends: sophomorix-samba (>=3.77.2), libhtml-tableextract-perl
+Depends: sophomorix-samba (>=3.80.0), libhtml-tableextract-perl
 Description: Reading external Mail data at Belwue and suggest actions
 
 
@@ -48,6 +48,6 @@
 
 #Package: sophomorix-virusscan
 #Architecture: all
-#Depends: sophomorix-samba (>=3.77.2), clamav
+#Depends: sophomorix-samba (>=3.80.0), clamav
 #Description: script to scan large amounts of data for viruses with clamscan

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
# moved to debian/compat
# export DH_COMPAT=3



ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
#	$(MAKE)
	#/usr/bin/docbook-to-man debian/sophomorix.sgml > sophomorix.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	@# dh_clean -k # deprecated, use dh_prep instead
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/sophomorix4.
	$(MAKE) install-sophomorix-samba DESTDIR=$(CURDIR)/debian/sophomorix-samba
#	$(MAKE) install-files DESTDIR=$(CURDIR)/debian/sophomorix4
#	$(MAKE) install-sys-files DESTDIR=$(CURDIR)/debian/sophomorix4
#	$(MAKE) install-pgldap DESTDIR=$(CURDIR)/debian/sophomorix4
#	$(MAKE) install-sys-pgldap DESTDIR=$(CURDIR)/debian/sophomorix4
	$(MAKE) install-developer DESTDIR=$(CURDIR)/debian/sophomorix-developer
	$(MAKE) install-vampire DESTDIR=$(CURDIR)/debian/sophomorix-vampire
	$(MAKE) install-dump DESTDIR=$(CURDIR)/debian/sophomorix-dump
	$(MAKE) install-belwue-mail DESTDIR=$(CURDIR)/debian/sophomorix-belwue-mail
#	$(MAKE) install-virusscan DESTDIR=$(CURDIR)/debian/sophomorix4
#	$(MAKE) doc DESTDIR=$(CURDIR)/debian/sophomorix4


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdebconf	
	dh_installchangelogs
# install debian/copyright file in every package:
	dh_installdocs
	dh_installdocs -psophomorix-samba changelog-sophomorix-src
#	dh_installdocs -psophomorix-doc-html sophomorix-doc/html
#	dh_installexamples
#	dh_installmenu
	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
# Install manpages for sophomorix-samba
# 	dh_installman -psophomorix4 sophomorix4/man/de/sophomorix.de.8
	dh_installman -psophomorix-samba sophomorix-samba/man/de/sophomorix-session.de.8
	dh_installman -psophomorix-samba sophomorix-samba/man/de/sophomorix-exam-mode.de.8
# 	dh_installman -psophomorix-samba sophomorix-samba/man/en/sophomorix-check.8
# 	dh_installman -psophomorix-samba sophomorix-samba/man/de/sophomorix.conf.de.5
# manpages for files, section 5:
	dh_installman -psophomorix-samba sophomorix-samba/man/de/students.csv.de.5
	dh_installman -psophomorix-samba sophomorix-samba/man/de/teachers.csv.de.5

# 	dh_installman -psophomorix-samba sophomorix-samba/man/de/italcrooms.conf.de.5
# 	dh_installman -psophomorix-samba sophomorix-samba/man/de/sophomorix-check.de.8
# 	dh_installman -psophomorix-samba sophomorix-samba/man/de/sophomorix-add.de.8
# 	dh_installman -psophomorix-samba sophomorix-samba/man/de/sophomorix-move.de.8
# 	dh_installman -psophomorix-samba sophomorix-samba/man/de/sophomorix-kill.de.8
# 	dh_installman -psophomorix-samba sophomorix-samba/man/de/sophomorix-print.de.8
# 	dh_installman -psophomorix-samba sophomorix-samba/man/de/sophomorix-subclass.de.8
# 	dh_installman -psophomorix-samba sophomorix-samba/man/de/sophomorix-project.de.8
# 	dh_installman -psophomorix-samba sophomorix-samba/man/de/sophomorix-class.de.8
# 	dh_installman -psophomorix-samba sophomorix-samba/man/de/sophomorix-user.de.8
# 	dh_installman -psophomorix-samba sophomorix-samba/man/de/sophomorix-useradd.de.8
# 	dh_installman -psophomorix-samba sophomorix-samba/man/de/sophomorix-usermod.de.8
# 	dh_installman -psophomorix-samba sophomorix-samba/man/de/sophomorix-group.de.8
# 	dh_installman -psophomorix-samba sophomorix-samba/man/de/sophomorix-groupdel.de.8
# 	dh_installman -psophomorix-samba sophomorix-samba/man/de/sophomorix-room.de.8
# 	dh_installman -psophomorix-samba sophomorix-samba/man/de/sophomorix-setup.de.8
# 	dh_installman -psophomorix-samba sophomorix-samba/man/de/sophomorix-quota.de.8
# 	dh_installman -psophomorix-samba sophomorix-samba/man/de/sophomorix-mail.de.8
# 	dh_installman -psophomorix-samba sophomorix-samba/man/de/sophomorix-repair.de.8
# 	dh_installman -psophomorix-samba sophomorix-samba/man/de/sophomorix-teach-in.de.8
# 	dh_installman -psophomorix-samba sophomorix-samba/man/de/sophomorix-passwd.de.8
# 	dh_installman -psophomorix-samba sophomorix-samba/man/de/sophomorix-www.de.8
# 	dh_installman -psophomorix-samba sophomorix-samba/man/de/sophomorix-device.de.8
# 	dh_installman -psophomorix-samba sophomorix-samba/man/de/sophomorix-support.de.8
# 	dh_installman -psophomorix-samba sophomorix-samba/man/de/sophomorix-janitor.de.8
# 	dh_installman -psophomorix-samba sophomorix-samba/man/de/sophomorix-imp-expand-fromaddress.de.8
# 	dh_installman -psophomorix-samba sophomorix-samba/man/de/sophomorix-teacher.de.1
# # Install manpages for sophomorix-pgldap
# 	dh_installman -psophomorix-pgldap sophomorix-pgldap/man/de/sophomorix-setup-pgldap.de.8
# 	dh_installman -psophomorix-pgldap sophomorix-pgldap/man/de/sophomorix-dump-pg2ldap.de.8
# 	dh_installman -psophomorix-pgldap sophomorix-pgldap/man/de/sophomorix-sync-check.de.8
# # Install manpages for sophomorix-developer
# 	dh_installman -psophomorix-developer sophomorix-developer/man/de/sophomorix-test.de.8
# 	dh_installman -psophomorix-developer sophomorix-developer/man/de/sophomorix-test-unid.de.8
# 	dh_installman -psophomorix-developer sophomorix-developer/man/de/sophomorix-test-bunchofusers.de.8
# # Install manpages for sophomorix-virusscan
# 	dh_installman -psophomorix-virusscan sophomorix-virusscan/man/de/sophomorix-virusscan.de.8
# 	dh_installman -psophomorix-virusscan sophomorix-virusscan/man/de/sophomorix-virusscan.conf.de.5
# 	dh_installman -psophomorix-virusscan sophomorix-virusscan/man/de/sophomorix-virusscan-excludes.conf.de.5
#	dh_installinfo
#	dh_undocumented
#	dh_install --sourcedir=debian/sophomorix4
	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


# Build architecture-dependent files here.
binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## sophomorix4 3.81.11-1

=== Makefile ===
--- 
+++ 
@@ -148,6 +148,7 @@
 	@install -d -m700 -oroot -groot $(LIBDIR)/check-result
 	@install -d -m700 -oroot -groot $(LOGDIR)
 	@install -d -m700 -oroot -groot $(LOGDIR)/user
+	@install -d -m700 -oroot -groot $(LOGDIR)/cron
 # Install the scripts
 	@install -d $(DESTDIR)/usr/sbin
 	@install -oroot -groot --mode=0744 sophomorix-samba/scripts/sophomorix-*[a-z1-9] $(DESTDIR)/usr/sbin

=== debian/changelog ===
sophomorix4 (3.81.11-1) lmn7-testing; urgency=medium

  * remove former teachers as admins from classes

 -- bz <bz@adler>  Sun, 12 Sep 2021 17:35:43 +0200

sophomorix4 (3.81.10-1) lmn7-testing; urgency=medium

  * manpage for school.conf

 -- bz <bz@adler>  Tue, 07 Sep 2021 16:20:39 +0200

sophomorix4 (3.81.9-1) lmn7-testing; urgency=medium

  * asv-bw filter added

 -- bz <bz@adler>  Tue, 07 Sep 2021 15:25:00 +0200

sophomorix4 (3.81.8-1) lmn7-testing; urgency=medium

  * print sophomorixUnid in csv exports as last element in export line

 -- bz <bz@adler>  Mon, 30 Aug 2021 16:43:09 +0200

sophomorix4 (3.81.7-1ubuntu1) lmn7-testing; urgency=medium

  * performance issues fixed in session listing, fixed: sophomorix-transfer --list-dir

 -- bz <bz@adler>  Fri, 28 May 2021 16:25:04 +0200

sophomorix4 (3.81.6-1) lmn7-testing; urgency=medium

  * #129 gpo, #130, option to delete autogenerated sessions

 -- bz <bz@adler>  Sun, 18 Apr 2021 18:31:02 +0200

sophomorix4 (3.81.5-1) lmn7-testing; urgency=medium

  * added examplix printout

 -- bz <bz@adler>  Sat, 07 Nov 2020 16:50:11 +0100

sophomorix4 (3.81.4-1) lmn7-testing; urgency=medium

  * sophomorix-belwue: fixed typeout

 -- bz <bz@adler>  Tue, 20 Oct 2020 16:07:05 +0200

sophomorix4 (3.81.3-1) lmn7-testing; urgency=medium

  * sophomorix-belwue: show maillist/fowarding, option --caller-copy 

 -- bz <bz@adler>  Sat, 17 Oct 2020 16:09:20 +0200

sophomorix4 (3.81.2-1) lmn7-testing; urgency=medium

  * new options to change unid of a user (fixed)

 -- bz <bz@adler>  Fri, 16 Oct 2020 12:56:00 +0200

sophomorix4 (3.81.1-1) lmn7-testing; urgency=medium

  * new options to change unid of a user

 -- bz <bz@adler>  Fri, 16 Oct 2020 09:36:10 +0200

sophomorix4 (3.81.0-1) lmn7-testing; urgency=medium

  * belwue stuff

 -- bz <bz@adler>  Wed, 07 Oct 2020 16:25:29 +0200

sophomorix4 (3.80.2-1) lmn7-testing; urgency=medium

  * Export sophomorixUnid to webuntis export

 -- bz <bz@adler>  Tue, 15 Sep 2020 12:00:48 +0200

sophomorix4 (3.80.1-1) lmn7-testing; urgency=medium

  * added group add/delete logging
  * Bugfix #114
  * MAILDOMAIN_BY_GROUP option in school.conf
  * sophomorix-user -u <user> --set|add|remove-proxy-addresses
  * Option RANDOM_PWD=birthdate 

 -- bz <bz@adler>  Thu, 10 Sep 2020 20:02:23 +0200

=== debian/control ===
Source: sophomorix4
Section: admin
Priority: optional
Maintainer: Rüdiger Beck <jeffbeck@web.de>
Build-Depends: debhelper (>= 8.0.0), devscripts
Standards-Version: 3.9.4


Package: sophomorix-samba
Architecture: all
Pre-Depends: ldb-tools, libconfig-inifiles-perl, libnet-dns-perl, libnet-ldap-perl
Depends: libnss-winbind, libunicode-map8-perl, libnet-mac-perl, libnet-ldap-sid-perl, libdate-calc-perl, liblist-moreutils-perl, libstring-approx-perl, libjson-perl, libmath-round-perl, libfilesys-smbclient-perl, libhtml-tableextract-perl, liblatex-encode-perl, libterm-readkey-perl, libparallel-forkmanager-perl, cifs-utils, texlive-latex-base, texlive-fonts-recommended, texlive-lang-german
Description: Sophomorix for Samba 4
 sophomorix-samba is a user management tool for Samba 4


Package: sophomorix-developer
Architecture: all
Depends:  sophomorix-samba (>=3.81.11), ldap-utils, cloc, make
Description: Test suite for sophomorix-samba
 Scripts to test sophomorix-samba  on a runnig system. These scripts can 
 screw up your server!

Package: sophomorix-vampire
Architecture: all
Depends:  sophomorix-samba (>=3.81.11), ldap-utils
Description: Migration vampire script
 Script to such users, classes, projects and workstations from a dump
 with sophomorix-dump

Package: sophomorix-dump
Architecture: all
Depends:  
Description: Migration dump script
 Script to dump users, classes, projects a nd workstations from
 linuxmusternet6 server

Package: sophomorix-belwue-mail
Architecture: all
Depends: sophomorix-samba (>=3.81.11), libhtml-tableextract-perl
Description: Reading external Mail data at Belwue and suggest actions


#Package: sophomorix-doc-html
#Architecture: all
#Depends: 
#Description: Html documentation for sophomorix-samba
# This Package contains the documentation for sophomorix-samba

#Package: sophomorix-virusscan
#Architecture: all
#Depends: sophomorix-samba (>=3.81.11), clamav
#Description: script to scan large amounts of data for viruses with clamscan

## sophomorix4 7.3.12

=== debian/changelog ===
sophomorix4 (7.3.12) lmn73; urgency=medium

  * Fix target branch in AD_user_move for new roles.
  * Fix creation of subdirectories in staff tree. 

 -- Arnaud Kientz <arnaud@linuxmuster.net>  Mon, 27 Oct 2025 23:54:28 +0100

sophomorix4 (7.3.11) lmn73; urgency=medium

  * [device] Fix new room name for devices
  * [device] Ensure room group exists and membership before adding device
  * [print] Add option to not split firstname and lastname

 -- Arnaud Kientz <arnaud@linuxmuster.net>  Sun, 12 Oct 2025 21:18:23 +0200

sophomorix4 (7.3.10) lmn73; urgency=medium

  * Use lmncli instead of lmntools. 

 -- Arnaud Kientz <arnaud@linuxmuster.net>  Mon, 14 Jul 2025 21:07:12 +0200

sophomorix4 (7.3.9) lmn73; urgency=medium

  * Update teachers groups of schoolclasses if membership changes 
  * Extend sophomorix-query to parent and staff

 -- Arnaud Kientz <arnaud@linuxmuster.net>  Mon, 30 Jun 2025 21:10:42 +0200

sophomorix4 (7.3.8) lmn73; urgency=medium

  * Update hook scripts for students groups. 

 -- Arnaud Kientz <arnaud@linuxmuster.net>  Fri, 06 Jun 2025 09:16:23 +0200

sophomorix4 (7.3.7) lmn73; urgency=medium

  * Webui permissions for parents and staff. 

 -- Arnaud Kientz <arnaud@linuxmuster.net>  Sun, 25 May 2025 12:10:32 +0200

sophomorix4 (7.3.6) lmn73; urgency=medium

  * Fix chown command
  * Fix quota for parents
  * Add complete support for staff members
  * Fix install of repdir for parents
  * Update quotas for new users after add
  * Fix delete of projects on file server (thanks @hermanntoast)  

 -- Arnaud Kientz <arnaud@linuxmuster.net>  Thu, 15 May 2025 21:12:26 +0200

sophomorix4 (7.3.5) lmn73; urgency=medium

  * Fix AD group parents. 

 -- Arnaud Kientz <arnaud@linuxmuster.net>  Sun, 16 Mar 2025 15:37:47 +0100

sophomorix4 (7.3.4) lmn73; urgency=medium

  * Handle parents accounts
  * Generate passwords with diceware (thanks @raphael247) 

 -- Arnaud Kientz <arnaud@linuxmuster.net>  Tue, 11 Mar 2025 13:33:15 +0100

sophomorix4 (7.3.3) lmn73; urgency=medium

  * Update workflow with right repo name. 

 -- Arnaud Kientz <arnaud@linuxmuster.net>  Sun, 02 Feb 2025 15:59:57 +0100

sophomorix4 (7.3.2) lmn73; urgency=medium

  * Add ssh host key. 

 -- Arnaud Kientz <arnaud@linuxmuster.net>  Sun, 02 Feb 2025 15:46:02 +0100

sophomorix4 (7.3.1) lmn73; urgency=medium

  * New package for lmn7.3

 -- Arnaud Kientz <arnaud@linuxmuster.net>  Sun, 02 Feb 2025 15:17:28 +0100

sophomorix4 (3.92.1-3) lmn72; urgency=medium

  * package ONLY for jammy samba, (stat -> allinfo, -mNT1 deprecated)

 -- bz <bz@adler>  Tue, 05 Sep 2023 08:55:45 +0200

sophomorix4 (3.90.10-2) lmn71; urgency=medium

  * 3.90.10-1 for lmn71 repo

 -- bz <bz@adler>  Thu, 05 Jan 2023 13:22:54 +0100

sophomorix4 (3.90.10-1) lmn71-testing; urgency=medium

  * new script for custom fields

 -- bz <bz@adler>  Wed, 04 Jan 2023 18:19:59 +0100

sophomorix4 (3.90.9-1) lmn71-testing; urgency=medium

  * allow sophomorix-query to write json output into a file
  * added options MEMBER_USER and MEMBER_PROJECT to group.<name>.conf

 -- bz <bz@adler>  Wed, 07 Dec 2022 16:04:11 +0100

sophomorix4 (3.90.8-1) lmn71-testing; urgency=medium

  * throwing error in json output if encoding could not be determined
  * sophomorix-transfer does not exit anymore if --move/--scopy does not fond the source file/dir. Instead a progress object is created with warning

 -- bz <bz@adler>  Fri, 02 Dec 2022 18:55:06 +0100

sophomorix4 (3.90.7-1) lmn71-testing; urgency=medium

  * added CLASSNAME_MAP option in school.conf

 -- bz <bz@adler>  Thu, 15 Sep 2022 09:05:56 +0200

sophomorix4 (3.90.6-2) lmn71; urgency=medium

  * add sophomorix-collect base script

 -- bz <bz@adler>  Tue, 30 Aug 2022 12:51:35 +0200

sophomorix4 (3.90.5-1) lmn71-testing; urgency=medium

  * options -jjjj and -jjjjj with configurable output dir in sophomorix.ini
  * allow 22.04 as valid distro
  * --gpo-listall output more parsable 

 -- bz <bz@adler>  Thu, 11 Aug 2022 13:49:41 +0200

sophomorix4 (3.90.4-1) lmn71-testing; urgency=medium

  * add dummy python module and python script sophomorix-smbclient
  * add DGR/hardwareclass to sophomorixIntrinsic1 at computer account

 -- bz <bz@adler>  Sat, 09 Apr 2022 19:20:03 +0200

sophomorix4 (3.90.3-1) lmn71; urgency=medium

  * Test build on ubuntu 20.04

 -- bz <bz@adler>  Fri, 07 Jan 2022 15:14:49 +0100

sophomorix4 (3.90.2-1) lmn7; urgency=medium

  * Just a build Test with dependency fixes

 -- bz <bz@adler>  Mon, 27 Dec 2021 17:16:08 +0100

sophomorix4 (3.90.1-1) lmn71; urgency=medium

  * fixed nonworking printout for nonlatex characters in class
  * added option to sophomorix-exam-mode: --reset-all-exam-mode-users --school <school>
  * added option DEFAULT_NONRANDOM_PWD to configure a file-wide nonrandom password for new users

 -- bz <bz@adler>  Mon, 27 Dec 2021 15:29:55 +0100

## sophomorix4 7.3.13

=== Makefile ===
--- 
+++ 
@@ -34,6 +34,9 @@
 
 # Perl modules
 PERLMOD=$(DESTDIR)/usr/share/perl5/Sophomorix
+
+# Python modules
+PYTHONMOD=$(DESTDIR)/usr/lib/python3/dist-packages/sophomorix
 
 # Dokumentation
 #DOCDEBDIR=$(DESTDIR)/usr/share/doc
@@ -149,12 +152,17 @@
 	@install -d -m700 -oroot -groot $(LOGDIR)
 	@install -d -m700 -oroot -groot $(LOGDIR)/user
 	@install -d -m700 -oroot -groot $(LOGDIR)/cron
-# Install the scripts
+# Install the perl scripts
 	@install -d $(DESTDIR)/usr/sbin
 	@install -oroot -groot --mode=0744 sophomorix-samba/scripts/sophomorix-*[a-z1-9] $(DESTDIR)/usr/sbin
-# Install the modules
+# Install the perl modules
 	@install -d -m755 -oroot -groot $(PERLMOD)
 	@install -oroot -groot --mode=0644 sophomorix-samba/modules/Sophomorix*[a-z1-9.]pm $(PERLMOD)
+# Install the python modules
+	@install -d -m755 -oroot -groot $(PYTHONMOD)
+	@install -oroot -groot --mode=0644 sophomorix-samba/python/modules/*[a-z1-9.]py $(PYTHONMOD)
+# Install the python scripts
+	@install -oroot -groot --mode=0744 sophomorix-samba/python/scripts/sophomorix-*[a-z1-9] $(DESTDIR)/usr/sbin
 # install schema
 	@install -d -m755 -oroot -groot $(SCHEMA)/
 	@install -oroot -groot --mode=0644 sophomorix-samba/schema/1_sophomorix-attributes.ldif $(SCHEMA)/
@@ -193,8 +201,11 @@
 	@install -oroot -groot --mode=0644 sophomorix-samba/config-devel/repdir/repdir.schooladministrator_home $(DEVELCONF)/devel/repdir
 	@install -oroot -groot --mode=0644 sophomorix-samba/config-devel/repdir/repdir.teacher_home $(DEVELCONF)/devel/repdir
 	@install -oroot -groot --mode=0644 sophomorix-samba/config-devel/repdir/repdir.adminclass $(DEVELCONF)/devel/repdir
+	@install -oroot -groot --mode=0644 sophomorix-samba/config-devel/repdir/repdir.staffclass $(DEVELCONF)/devel/repdir
 	@install -oroot -groot --mode=0644 sophomorix-samba/config-devel/repdir/repdir.extraclass $(DEVELCONF)/devel/repdir
 	@install -oroot -groot --mode=0644 sophomorix-samba/config-devel/repdir/repdir.student_home $(DEVELCONF)/devel/repdir
+	@install -oroot -groot --mode=0644 sophomorix-samba/config-devel/repdir/repdir.parent_home $(DEVELCONF)/devel/repdir
+	@install -oroot -groot --mode=0644 sophomorix-samba/config-devel/repdir/repdir.staff_home $(DEVELCONF)/devel/repdir
 	@install -oroot -groot --mode=0644 sophomorix-samba/config-devel/repdir/repdir.examuser_home $(DEVELCONF)/devel/repdir
 # ntacls
 	@install -d -m755 -oroot -groot $(DEVELCONF)/devel/ntacl
@@ -231,10 +242,3 @@
 	@install -oroot -groot --mode=0755 sophomorix-samba/filter/*.filter $(FILTER)
 # startscripts
 	@install -d -m755 -oroot -groot $(STARTSCRIPTSSKEL)
-	@install -d -m755 -oroot -groot $(STARTSCRIPTSSKEL)/custom
-	@install -d -m755 -oroot -groot $(STARTSCRIPTSSKEL)/custom/linux
-	@install -oroot -groot --mode=0644 sophomorix-samba/startscripts-skel/custom/linux/logoff.sh $(STARTSCRIPTSSKEL)/custom/linux
-	@install -oroot -groot --mode=0644 sophomorix-samba/startscripts-skel/custom/linux/logon.sh $(STARTSCRIPTSSKEL)/custom/linux
-	@install -oroot -groot --mode=0644 sophomorix-samba/startscripts-skel/custom/linux/sysstart.sh $(STARTSCRIPTSSKEL)/custom/linux
-	@install -oroot -groot --mode=0644 sophomorix-samba/startscripts-skel/custom/linux/sysstop.sh $(STARTSCRIPTSSKEL)/custom/linux
-	@install -d -m755 -oroot -groot $(STARTSCRIPTSSKEL)/custom/windows

=== sophomorix-client/Makefile ===
#!/usr/bin/make
# This is the sophomorix Makefile
# for Debian packaging (make DESTDIR=/root/sophomorix)
DESTDIR=

# Installing from this Makefile
#====================================
# if you use this Makefile to install sophomorix (instead of 
# installing the debian-Package) you will miss:
#   1. html-documentation
#   2. manpages
# This is because debian has scripts to install 1. and 2. VERY easily
# see debian/rules -> dh_installman, dh-installdocs



# Debian
#====================================

# etc
ETC=$(DESTDIR)/etc
SYSTEMD=$(DESTDIR)/run/systemd
NETPLAN=$(DESTDIR)/etc/netplan


all: install

help:
	@echo ' '
	@echo 'Most common options of this Makefile:'
	@echo '-------------------------------------'
	@echo ' '
	@echo '   make help'
	@echo '      show this help'
	@echo ' '
	@echo '   make | make install'
	@echo '      make installation of config files'
	@echo ' '


# 
install:
	### install client
	@install -osystemd-resolve -gsystemd-resolve --mode=0644 templates/resolv.conf.template $(SYSTEMD)/resolve/stub-resolv.conf
	@install -oroot -groot --mode=0644 templates/netplan.yaml $(NETPLAN)/01-network-manager-all.yaml
	#sudo netplan apply

=== debian/changelog ===
sophomorix4 (7.3.13) lmn73; urgency=medium

  * Add kill log when users are in status R. 

 -- Arnaud Kientz <arnaud@linuxmuster.net>  Fri, 02 Jan 2026 11:57:45 +0100

=== debian/control ===
--- 
+++ 
@@ -16,14 +16,14 @@
 
 Package: sophomorix-developer
 Architecture: all
-Depends:  sophomorix-samba (>=3.81.11), ldap-utils, cloc, make
+Depends:  sophomorix-samba (>=3.92.1), ldap-utils, cloc, make
 Description: Test suite for sophomorix-samba
  Scripts to test sophomorix-samba  on a runnig system. These scripts can 
  screw up your server!
 
 Package: sophomorix-vampire
 Architecture: all
-Depends:  sophomorix-samba (>=3.81.11), ldap-utils
+Depends:  sophomorix-samba (>=3.92.1), ldap-utils
 Description: Migration vampire script
  Script to such users, classes, projects and workstations from a dump
  with sophomorix-dump
@@ -37,7 +37,7 @@
 
 Package: sophomorix-belwue-mail
 Architecture: all
-Depends: sophomorix-samba (>=3.81.11), libhtml-tableextract-perl
+Depends: sophomorix-samba (>=3.92.1), libhtml-tableextract-perl
 Description: Reading external Mail data at Belwue and suggest actions
 
 
@@ -49,6 +49,6 @@
 
 #Package: sophomorix-virusscan
 #Architecture: all
-#Depends: sophomorix-samba (>=3.81.11), clamav
+#Depends: sophomorix-samba (>=3.92.1), clamav
 #Description: script to scan large amounts of data for viruses with clamscan

=== debian/rules ===
--- 
+++ 
@@ -95,6 +95,7 @@
 # manpages for files, section 5:
 	dh_installman -psophomorix-samba sophomorix-samba/man/de/students.csv.de.5
 	dh_installman -psophomorix-samba sophomorix-samba/man/de/teachers.csv.de.5
+	dh_installman -psophomorix-samba sophomorix-samba/man/de/school.conf.de.5
 
 # 	dh_installman -psophomorix-samba sophomorix-samba/man/de/italcrooms.conf.de.5
 # 	dh_installman -psophomorix-samba sophomorix-samba/man/de/sophomorix-check.de.8
